MINARA

Update report design settings

PUT /v1/settings/report-design — Normalize and persist the visual settings used by Institution and Deep Research HTML/PDF reports. Invalid enum values fa

PUT /v1/settings/report-design

Normalize and persist the visual settings used by Institution and Deep Research HTML/PDF reports. Invalid enum values fall back to their defaults.

MethodPUT
Path/v1/settings/report-design
AuthAuthorization: Bearer <token> required when GATEWAY_AUTH_TOKEN is set
Categorytheme

Request body

{ "density": "compact", "typeScale": "standard", "pageWidth": "wide", "cornerStyle": "soft", "accent": "blue" }

Response body

{ "settings": { "density": "compact", "typeScale": "standard", "pageWidth": "wide", "cornerStyle": "soft", "accent": "blue" }, "defaults": { "density": "balanced", "typeScale": "standard", "pageWidth": "standard", "cornerStyle": "soft", "accent": "graphite" } }

On this page